(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      9365,        275]
NotebookOptionsPosition[      8952,        258]
NotebookOutlinePosition[      9333,        274]
CellTagsIndexPosition[      9290,        271]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"kc", "=", 
    FractionBox["40", "242."]}], ";"}], 
  RowBox[{"(*", 
   RowBox[{"40", "Ah", " ", "odpovida", " ", "242", "mm"}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"kU", "=", 
    FractionBox["3", "122."]}], ";"}], 
  RowBox[{"(*", 
   RowBox[{"3", "V", " ", "odpovidaji", " ", "122", "mm"}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"RiKatalog", "=", "0.015"}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "nakonec", " ", "staci", " ", "vzit", " ", "vnitrni", " ", "odpor", " ", 
     "konstantni"}], ",", " ", 
    RowBox[{
    "podle", " ", "katalogu", " ", "odpor", " ", "jedne", " ", "baterie", " ",
      "je", " ", "15", " ", "m\[CapitalOmega]"}]}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Ah", "=", "3600"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"cKatalog", "=", 
   RowBox[{"40", "Ah"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.5280138741898365`*^9, 3.528013993799212*^9}, {
  3.529651489859375*^9, 3.529651535640625*^9}, {3.5296537291875*^9, 
  3.52965377146875*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"c", "=", 
   RowBox[{"cKatalog", "-", 
    RowBox[{"Ah", "*", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"5", "kc"}], ",", "5", ",", "10", ",", "15", ",", "20", ",", 
       "25", ",", "30", ",", "35", ",", "37.5", ",", "40", ",", 
       RowBox[{"40", "+", 
        RowBox[{"5", "kc"}]}]}], "}"}]}]}]}], ";", 
  RowBox[{"(*", 
   RowBox[{"kapacity", " ", "v", " ", "AH"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"is", "=", 
   RowBox[{"{", 
    RowBox[{"5", ",", "8", ",", "20", ",", "30", ",", "40"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pcs", "=", 
   RowBox[{"10", "+", 
    RowBox[{"kU", "*", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"133", ",", "131", ",", "124", ",", "118", ",", "113"}], 
        "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"132", ",", "129.5", ",", "121", ",", "115", ",", "99.5"}], 
        "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"129.5", ",", "126.5", ",", "119", ",", "113", ",", "107"}], 
        "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"126", ",", "123.5", ",", "116.5", ",", "111", ",", "105"}], 
        "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"124.5", ",", "122", ",", "115", ",", "109", ",", "103"}], 
        "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"123", ",", "119.5", ",", "112.5", ",", "106", ",", "100"}], 
        "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"119", ",", "114.5", ",", "108", ",", "102.5", ",", "96"}], 
        "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"111.5", ",", "104.5", ",", "100", ",", "94", ",", "88"}], 
        "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"106", ",", "98", ",", "92.5", ",", "86", ",", "80"}], "}"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{"82", ",", "72", ",", "60", ",", "52", ",", "42"}], "}"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{"61", ",", "51", ",", "40", ",", "30", ",", "20"}], "}"}]}], 
      "}"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"cAui", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"c", "[", 
        RowBox[{"[", "#", "]"}], "]"}], ",", 
       RowBox[{
        RowBox[{"pcs", "[", 
         RowBox[{"[", "#", "]"}], "]"}], "+", 
        RowBox[{"RiKatalog", "*", "is"}]}]}], "}"}], "&"}], "/@", 
    RowBox[{"Range", "[", 
     RowBox[{"Length", "[", "c", "]"}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dat", "=", 
   RowBox[{"cAui", "/.", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a_", ",", "b_List"}], "}"}], "\[RuleDelayed]", 
     RowBox[{"{", 
      RowBox[{"a", ",", 
       RowBox[{"Mean", "[", "b", "]"}]}], "}"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"intUi", "=", 
   RowBox[{"Interpolation", "[", 
    RowBox[{"dat", ",", 
     RowBox[{"InterpolationOrder", "\[Rule]", "1"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pl1", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"intUi", "[", "c", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"c", ",", 
       RowBox[{"c", "[", 
        RowBox[{"[", 
         RowBox[{"-", "1"}], "]"}], "]"}], ",", "cKatalog"}], "}"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<c\>\"", ",", "\"\<u0 [V]\>\""}], "}"}]}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.529650204328125*^9, 3.529650369671875*^9}, {
   3.529650400984375*^9, 3.529650436296875*^9}, {3.529650466515625*^9, 
   3.52965076409375*^9}, {3.529650797625*^9, 3.5296511246875*^9}, {
   3.529651238984375*^9, 3.529651244734375*^9}, {3.529651439765625*^9, 
   3.529651451171875*^9}, 3.529651487609375*^9, {3.5296515543125*^9, 
   3.52965158765625*^9}, {3.529651660046875*^9, 3.529651660546875*^9}, {
   3.5296517365625*^9, 3.529651754546875*^9}, {3.529651958234375*^9, 
   3.529652012453125*^9}, {3.529652046078125*^9, 3.529652068421875*^9}, {
   3.52965211034375*^9, 3.529652310015625*^9}, {3.52965242640625*^9, 
   3.52965244075*^9}, {3.529652472875*^9, 3.52965250146875*^9}, {
   3.529652543421875*^9, 3.52965256865625*^9}, {3.529652919140625*^9, 
   3.529652922953125*^9}, 3.529653081859375*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"v", ":=", 
    RowBox[{
     SubscriptBox["\[Alpha]", "#"], "&"}]}], ";"}], 
  RowBox[{"(*", 
   RowBox[{"odhad", " ", "nelinearniho", " ", "modelu"}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"params", ":=", 
   RowBox[{
    RowBox[{"Union", "[", 
     RowBox[{"Cases", "[", 
      RowBox[{"#", ",", 
       SubscriptBox["\[Alpha]", "_"], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "\[Infinity]"}], "}"}]}], "]"}], "]"}], "&"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"qpul", "=", 
   RowBox[{"(", 
    RowBox[{"q", "-", 
     RowBox[{"0.5", "cKatalog"}]}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"model", "=", 
   RowBox[{
    RowBox[{"v", "[", "1", "]"}], "+", 
    FractionBox[
     RowBox[{"q", "*", 
      RowBox[{"v", "[", "3", "]"}]}], 
     RowBox[{"q", "+", 
      RowBox[{"Abs", "[", 
       RowBox[{"v", "[", "2", "]"}], "]"}]}]], "+", 
    RowBox[{
     RowBox[{"v", "[", "4", "]"}], "*", 
     RowBox[{"Exp", "[", 
      RowBox[{"0.00014", "*", 
       RowBox[{"(", 
        RowBox[{"q", "-", "cKatalog"}], ")"}]}], "]"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nelidos", "=", 
   RowBox[{
    RowBox[{"FindFit", "[", 
     RowBox[{"dat", ",", "model", ",", 
      RowBox[{"params", "[", 
       RowBox[{"model", ",", 
        RowBox[{"MaxIterations", "\[Rule]", 
         SuperscriptBox["10", "4"]}]}], "]"}], ",", "q"}], "]"}], "//", 
    "Quiet"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pl2", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{"model", "/.", "nelidos"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"q", ",", 
       RowBox[{"c", "[", 
        RowBox[{"[", 
         RowBox[{"-", "1"}], "]"}], "]"}], ",", "cKatalog"}], "}"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<c\>\"", ",", "\"\<u0 [V]\>\""}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Red"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", 
  RowBox[{"pl1", ",", "pl2"}], "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.529652685609375*^9, 3.529652815375*^9}, {
  3.529652845921875*^9, 3.529652893359375*^9}, {3.529652939234375*^9, 
  3.52965307284375*^9}, {3.529653148671875*^9, 3.529653226734375*^9}, {
  3.52965332846875*^9, 3.529653428640625*^9}}],

Cell[BoxData[
 RowBox[{"model", "/.", "nelidos", 
  RowBox[{"(*", 
   RowBox[{
   "vnitrni", " ", "napeti", " ", "jedne", " ", "baterie", " ", "v", " ", 
    "zavislosti", " ", "na", " ", "naboji", " ", "v", " ", "ni", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"resp", ".", " ", "naboj"}], " ", "prosly", " ", "jednou", " ", 
      "vetvi", " ", "akumulatoru"}], ")"}]}], "*)"}]}]], "Input",
 CellChangeTimes->{{3.529653258015625*^9, 3.52965326796875*^9}, {
  3.5296536679375*^9, 3.529653723390625*^9}}]
},
WindowSize->{1223, 743},
WindowMargins->{{2, Automatic}, {Automatic, 20}},
Magnification->1.4000000953674316`,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 1157, 34, 224, "Input"],
Cell[1705, 56, 4249, 112, 292, "Input"],
Cell[5957, 170, 2475, 73, 283, "Input"],
Cell[8435, 245, 513, 11, 67, "Input"]
}
]
*)

(* End of internal cache information *)
