(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     18092,        533]
NotebookOptionsPosition[     17495,        511]
NotebookOutlinePosition[     17896,        528]
CellTagsIndexPosition[     17853,        525]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{
    RowBox[{"$HistoryLength", "=", "2"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"SetDirectory", "[", 
     RowBox[{
      RowBox[{"\"\<FileName\>\"", "/.", "\[InvisibleSpace]", 
       RowBox[{"NotebookInformation", "[", 
        RowBox[{"EvaluationNotebook", "[", "]"}], "]"}]}], "/.", 
      "\[InvisibleSpace]", 
      RowBox[{
       RowBox[{"FrontEnd`FileName", "[", 
        RowBox[{"d_List", ",", "nam_", ",", "___"}], "]"}], "\[RuleDelayed]", 
       RowBox[{"ToFileName", "[", "d", "]"}]}]}], "]"}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.48327811315625*^9, 3.483278126375*^9}, {
  3.483319988421875*^9, 3.48331998971875*^9}, {3.486958380203125*^9, 
  3.486958380640625*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"fnom", "=", "50."}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]nom", "=", 
   RowBox[{"2.", "*", "Pi", "*", "fnom"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Tnom", "=", 
   FractionBox["1", "fnom"]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"sr", "=", "882"}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"sr", " ", "je", " ", "pomerna", " ", "cast", " ", "periody"}], 
    ",", " ", 
    RowBox[{
    "tedy", " ", "pokud", " ", "se", " ", "perioda", " ", "sklada", " ", "ze",
      " ", "sr", " ", "useku"}], ",", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"maji", " ", "useky", " ", "delku", " ", 
       FractionBox["Tnom", "sr"], " ", "a", " ", "pocet", " ", "samplu", " ", 
       "na", " ", "periodu", " ", "je", " ", "sr"}], "+", "1"}], ";", " ", 
     RowBox[{
     "kdyz", " ", "se", " ", "vahy", " ", "aplikuji", " ", "na", " ", 
      "promennou", " ", "k"}]}], ",", " ", 
    RowBox[{"budou", " ", "mit", " ", "spravnou", " ", "delku"}], ",", " ", 
    RowBox[{
     RowBox[{"tedy", " ", "sr"}], "+", "1"}]}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rn", "=", 
   RowBox[{"Range", "[", 
    RowBox[{"0", ",", 
     RowBox[{"2", "Pi"}], ",", 
     RowBox[{"2.", 
      FractionBox["Pi", "sr"]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sin1", "=", 
   RowBox[{"Sin", "/@", "rn"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"cos1", "=", 
   RowBox[{"Cos", "/@", "rn"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"kperSampl", "=", "5"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"amplSampl", "=", "5.0489"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fiSampl", "=", "0.564"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"k\[Omega]", "=", "1.014897"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]", "=", 
   RowBox[{"k\[Omega]", "*", "\[Omega]nom"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"fcepom", "[", "t_", "]"}], ":=", 
   RowBox[{"amplSampl", "*", 
    RowBox[{"Sin", "[", 
     RowBox[{
      RowBox[{"\[Omega]", "*", "t"}], "+", "fiSampl"}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vysNom", "=", 
   RowBox[{"{", 
    RowBox[{"amplSampl", ",", "fiSampl"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[CapitalDelta]tnom", "=", 
   RowBox[{
    FractionBox["Tnom", "sr"], "//", "N"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"dSpom", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"fcepom", "[", "t", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", 
       RowBox[{"kperSampl", "*", "Tnom"}], ",", "\[CapitalDelta]tnom"}], 
      "}"}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.483286319484375*^9, 3.483286320453125*^9}, {
   3.483286363203125*^9, 3.483286363765625*^9}, 3.48328657146875*^9, {
   3.483352136796875*^9, 3.4833521371875*^9}, {3.486958316875*^9, 
   3.486958318734375*^9}, {3.486958462703125*^9, 3.486958463140625*^9}, 
   3.486958513265625*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"vahy", "[", "n_Integer", "]"}], ":=", 
   RowBox[{"Prepend", "[", 
    RowBox[{
     RowBox[{"Append", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"-", "1"}], ")"}], 
            RowBox[{"#", "+", "1"}]], "+", "3"}], ")"}], "&"}], "/@", 
        RowBox[{"Range", "[", 
         RowBox[{
          RowBox[{"2", "n"}], "+", "1"}], "]"}]}], ",", "1"}], "]"}], ",", 
     "1"}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"int", "[", 
    RowBox[{"listHodnot_", ",", "listVah_"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"k", ",", "lh", ",", "sr"}], "}"}], ",", 
     RowBox[{
      RowBox[{"sr", "=", 
       RowBox[{
        RowBox[{"Length", "[", "listVah", "]"}], "-", "1"}]}], ";", 
      RowBox[{"k", "=", 
       RowBox[{
        FractionBox["sr", "2"], "-", "1"}]}], ";", 
      RowBox[{"lh", "=", 
       RowBox[{"Take", "[", 
        RowBox[{"listHodnot", ",", 
         RowBox[{"sr", "+", "1"}]}], "]"}]}], ";", 
      RowBox[{
       FractionBox["1.", 
        RowBox[{"3", "sr"}]], "*", 
       RowBox[{
        RowBox[{"vahy", "[", "k", "]"}], ".", 
        RowBox[{"(", 
         RowBox[{"lh", "*", "listVah"}], ")"}]}]}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"fazor1harm", "[", "list_", "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "a1", ",", "b1", ",", "vel", ",", "arg", ",", "\[CapitalDelta]t"}], 
      "}"}], ",", 
     RowBox[{
      RowBox[{"a1", "=", 
       RowBox[{"2.", "*", 
        RowBox[{"int", "[", 
         RowBox[{"list", ",", "cos1"}], "]"}]}]}], ";", 
      RowBox[{"b1", "=", 
       RowBox[{"2.", "*", 
        RowBox[{"int", "[", 
         RowBox[{"list", ",", "sin1"}], "]"}]}]}], ";", 
      RowBox[{"vel", "=", 
       SqrtBox[
        RowBox[{
         SuperscriptBox["a1", "2"], "+", 
         SuperscriptBox["b1", "2"]}]]}], ";", 
      RowBox[{"arg", "=", 
       RowBox[{"Arg", "[", 
        RowBox[{"b1", "+", 
         RowBox[{"I", "*", "a1"}]}], "]"}]}], ";", 
      RowBox[{"{", 
       RowBox[{"vel", ",", "arg"}], "}"}]}]}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"projedList", "[", 
    RowBox[{"list_", ",", "nOkno_"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"okna", ",", "meany", ",", "sigma", ",", 
       RowBox[{"nSampl", "=", 
        RowBox[{"Length", "[", "list", "]"}]}]}], "}"}], ",", 
     RowBox[{
      RowBox[{"okna", "=", 
       RowBox[{
        RowBox[{
         RowBox[{"Take", "[", 
          RowBox[{"list", ",", 
           RowBox[{"{", 
            RowBox[{"#", ",", 
             RowBox[{"#", "+", "nOkno", "-", "1"}]}], "}"}]}], "]"}], "&"}], "/@", 
        RowBox[{"Range", "[", 
         RowBox[{"nSampl", "-", "nOkno", "+", "1"}], "]"}]}]}], ";", 
      RowBox[{"meany", "=", 
       RowBox[{"Mean", "/@", "okna"}]}], ";", 
      RowBox[{"sigma", "=", 
       RowBox[{"StandardDeviation", "[", "meany", "]"}]}], ";", 
      RowBox[{"{", 
       RowBox[{"nOkno", ",", "sigma"}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"mozne", ":=", 
   RowBox[{"Range", "[", 
    RowBox[{
     RowBox[{"Round", "[", 
      RowBox[{"0.95", "*", "sr"}], "]"}], ",", 
     RowBox[{"Round", "[", 
      RowBox[{"1.05", "*", "sr"}], "]"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"vydejNx", "[", "listDat_", "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"meze", ",", "pom", ",", "vyber", ",", 
       RowBox[{"b0", "=", 
        SuperscriptBox["10", 
         RowBox[{"-", "7"}]]}]}], "}"}], ",", 
     RowBox[{
      RowBox[{"pom", "=", 
       RowBox[{
        RowBox[{
         RowBox[{"projedList", "[", 
          RowBox[{"listDat", ",", "#"}], "]"}], "&"}], "/@", "mozne"}]}], ";", 
      RowBox[{"vyber", "=", 
       RowBox[{"Take", "[", 
        RowBox[{
         RowBox[{"Sort", "[", 
          RowBox[{"pom", ",", 
           RowBox[{
            RowBox[{
             RowBox[{"#1", "[", 
              RowBox[{"[", "2", "]"}], "]"}], "<", 
             RowBox[{"#2", "[", 
              RowBox[{"[", "2", "]"}], "]"}]}], "&"}]}], "]"}], ",", "6"}], 
        "]"}]}], ";", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Plus", "@@", 
         RowBox[{"(", 
          RowBox[{"vyber", "/.", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"a_", ",", "b_"}], "}"}], "\[RuleDelayed]", 
            RowBox[{"{", 
             RowBox[{
              FractionBox["a", 
               RowBox[{"b", "+", "b0"}]], ",", 
              FractionBox["1", 
               RowBox[{"b", "+", "b0"}]]}], "}"}]}]}], ")"}]}], ")"}], "/.", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"a_", ",", "b_"}], "}"}], "\[RuleDelayed]", 
        FractionBox["a", "b"]}]}]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ourInt", "[", 
    RowBox[{"x_", ",", "list_"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"p", ",", "a", ",", "b", ",", "ya", ",", "yb", ",", "yx"}], 
      "}"}], ",", 
     RowBox[{
      RowBox[{"p", "=", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"a", ",", "b"}], "}"}], "=", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Floor", "[", "x", "]"}], ",", 
          RowBox[{"Ceiling", "[", "x", "]"}]}], "}"}]}]}], ";", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"ya", ",", "yb"}], "}"}], "=", 
       RowBox[{"list", "[", 
        RowBox[{"[", "p", "]"}], "]"}]}], ";", 
      RowBox[{"yx", "=", 
       RowBox[{"ya", "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"x", "-", "a"}], ")"}], "*", 
         FractionBox[
          RowBox[{"yb", "-", "ya"}], 
          RowBox[{"b", "-", "a"}]]}]}]}]}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{
  3.48327810284375*^9, {3.48328061715625*^9, 3.48328063125*^9}, {
   3.483280664125*^9, 3.483280668453125*^9}, 3.483282676828125*^9, 
   3.483282852609375*^9, {3.483284619078125*^9, 3.4832846290625*^9}, 
   3.48328600965625*^9, 3.483286380390625*^9, {3.483286491890625*^9, 
   3.483286498203125*^9}, {3.4833200758125*^9, 3.483320115109375*^9}, 
   3.483320186984375*^9}],

Cell[BoxData[
 RowBox[{"\n", 
  RowBox[{
   RowBox[{
    RowBox[{"nx", "=", 
     RowBox[{"vydejNx", "[", "dSpom", "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"pomer", ":=", 
     FractionBox["nx", "sr"]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"natahniCiZkrat", "[", "list_", "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", "enka", "}"}], ",", 
       RowBox[{
        RowBox[{"enka", "=", 
         RowBox[{
          RowBox[{
           RowBox[{"1", "+", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"#", "-", "1"}], ")"}], "*", "pomer"}]}], "&"}], "/@", 
          RowBox[{"Range", "[", 
           RowBox[{"2", ",", 
            RowBox[{"sr", "+", "1"}]}], "]"}]}]}], ";", 
        RowBox[{"Prepend", "[", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"ourInt", "[", 
             RowBox[{"#", ",", "list"}], "]"}], "&"}], "/@", "enka"}], ",", 
          RowBox[{"list", "[", 
           RowBox[{"[", "1", "]"}], "]"}]}], "]"}]}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"newDat", "=", 
     RowBox[{"natahniCiZkrat", "[", "dSpom", "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"fazor1harm", "[", "newDat", "]"}], "\[IndentingNewLine]", 
   "vysNom", "\[IndentingNewLine]", 
   RowBox[{"Print", "[", 
    RowBox[{"\"\<f= \>\"", ",", 
     RowBox[{"fnom", "*", 
      FractionBox["sr", "nx"]}], " ", ",", "\"\<  Hz vypoctem, \>\"", ",", 
     FractionBox["\[Omega]", 
      RowBox[{"2.", "Pi"}]], ",", "\"\<  Hz  skutecna\>\""}], "]"}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.4832781455*^9, 3.4832782219375*^9}, {3.48327843975*^9, 
   3.483278441609375*^9}, {3.48327852009375*^9, 3.48327871334375*^9}, {
   3.48327876828125*^9, 3.4832787769375*^9}, {3.48327896640625*^9, 
   3.483278970640625*^9}, {3.483279025375*^9, 3.483279064078125*^9}, 
   3.48328158990625*^9, {3.48328170821875*^9, 3.48328170946875*^9}, 
   3.483282829609375*^9, 3.483282868578125*^9, 3.483284257359375*^9, {
   3.48328475415625*^9, 3.483284778140625*^9}, 3.483285465078125*^9, 
   3.483286028875*^9, {3.4832860755625*^9, 3.483286122515625*^9}, {
   3.48328616175*^9, 3.483286250328125*^9}, {3.483286290875*^9, 
   3.48328629140625*^9}, {3.48332027428125*^9, 3.48332027434375*^9}, {
   3.48332160021875*^9, 3.483321605359375*^9}, 3.483352131359375*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"droppedDat", "[", "n_", "]"}], ":=", 
   RowBox[{"natahniCiZkrat", "[", 
    RowBox[{"Drop", "[", 
     RowBox[{"dSpom", ",", "n"}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"fazor1HarmDropped", "[", "n_", "]"}], ":=", 
   RowBox[{
    RowBox[{"fazor1harm", "[", 
     RowBox[{"droppedDat", "[", "n", "]"}], "]"}], "-", 
    RowBox[{"{", 
     RowBox[{"0", ",", 
      RowBox[{
       FractionBox[
        RowBox[{"2", "Pi"}], 
        RowBox[{"pomer", "*", "sr"}]], "*", "n"}]}], "}"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"fazor1HarmDropped", "[", "0", "]"}]}], "Input",
 CellChangeTimes->{{3.483676405328824*^9, 3.483676483656949*^9}, {
   3.483676912860074*^9, 3.483677026000699*^9}, {3.483677064485074*^9, 
   3.483677089641324*^9}, 3.483677119656949*^9, 3.4869583475625*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"kPlayR", "=", "2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"playRange", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "kPlayR"}], "*", "amplSampl"}], ",", 
     RowBox[{"kPlayR", "*", "amplSampl"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"srSec", "=", 
   RowBox[{"50", "*", "sr"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.48695946778125*^9, 3.48695951646875*^9}, {
   3.486959645625*^9, 3.4869597035625*^9}, 3.486959737828125*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"play", "=", 
   RowBox[{"ListPlay", "[", 
    RowBox[{"dSpom", ",", 
     RowBox[{"SampleRate", "\[Rule]", "srSec"}], ",", 
     RowBox[{"PlayRange", "\[Rule]", "playRange"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Export", "[", 
  RowBox[{"\"\<f507449.wav\>\"", ",", "play"}], "]"}]}], "Input",
 CellChangeTimes->{{3.48695947165625*^9, 3.486959472015625*^9}, {
   3.48695953446875*^9, 3.486959535125*^9}, 3.48695961496875*^9, {
   3.486959707953125*^9, 3.486959716515625*^9}, {3.48695975040625*^9, 
   3.48695978103125*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"wav", "=", 
   RowBox[{"Import", "[", "\"\<f507449.wav\>\"", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dSpom", "=", 
   RowBox[{"wav", "[", 
    RowBox[{"[", 
     RowBox[{"1", ",", "1", ",", "1"}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sr", "=", 
   FractionBox[
    RowBox[{"wav", "[", 
     RowBox[{"[", 
      RowBox[{"1", ",", 
       RowBox[{"-", "1"}]}], "]"}], "]"}], "50"]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nx", "=", 
   RowBox[{"vydejNx", "[", "dSpom", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pomer", ":=", 
   FractionBox["nx", "sr"]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"natahniCiZkrat", "[", "list_", "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", "enka", "}"}], ",", 
     RowBox[{
      RowBox[{"enka", "=", 
       RowBox[{
        RowBox[{
         RowBox[{"1", "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"#", "-", "1"}], ")"}], "*", "pomer"}]}], "&"}], "/@", 
        RowBox[{"Range", "[", 
         RowBox[{"2", ",", 
          RowBox[{"sr", "+", "1"}]}], "]"}]}]}], ";", 
      RowBox[{"Prepend", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"ourInt", "[", 
           RowBox[{"#", ",", "list"}], "]"}], "&"}], "/@", "enka"}], ",", 
        RowBox[{"list", "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], "]"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"newDat", "=", 
   RowBox[{"natahniCiZkrat", "[", "dSpom", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"fazor1harm", "[", "newDat", 
  "]"}], "\[IndentingNewLine]", "vysNom", "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<f= \>\"", ",", 
   RowBox[{"fnom", "*", 
    FractionBox["sr", "nx"]}], " ", ",", "\"\<  Hz vypoctem, \>\"", ",", 
   FractionBox["\[Omega]", 
    RowBox[{"2.", "Pi"}]], ",", "\"\<  Hz  skutecna\>\""}], "]"}]}], "Input",
 CellChangeTimes->{
  3.486960290484375*^9, {3.486960379296875*^9, 3.486960393859375*^9}, {
   3.4869604565*^9, 3.48696046340625*^9}, {3.486960512953125*^9, 
   3.486960513859375*^9}}]
},
WindowSize->{1101, 757},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
ShowSelection->True,
Magnification->1.5000001192092896`,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 757, 18, 98, "Input"],
Cell[1305, 40, 3103, 85, 625, "Input"],
Cell[4411, 127, 6448, 196, 590, "Input"],
Cell[10862, 325, 2431, 58, 336, "Input"],
Cell[13296, 385, 880, 24, 130, "Input"],
Cell[14179, 411, 531, 15, 98, "Input"],
Cell[14713, 428, 577, 13, 71, "Input"],
Cell[15293, 443, 2198, 66, 390, "Input"]
}
]
*)

(* End of internal cache information *)
