(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      7951,        264]
NotebookOptionsPosition[      7363,        242]
NotebookOutlinePosition[      7730,        258]
CellTagsIndexPosition[      7687,        255]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"dos", "=", 
     RowBox[{"{", 
      RowBox[{"Lv", "\[Rule]", "0.048"}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"nF", "=", 
     SuperscriptBox["10", 
      RowBox[{"-", "9"}]]}], ";"}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"dos", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"rb", "\[Rule]", "31000"}], ",", 
      RowBox[{"rv", "\[Rule]", "31000"}], ",", 
      RowBox[{"rsL", "\[Rule]", "896"}], ",", 
      RowBox[{"rsC", "\[Rule]", "675.12"}], ",", 
      RowBox[{"Cb", "\[Rule]", "2.8679*^-7"}], ",", 
      RowBox[{"Cs", "\[Rule]", "7.7*^-8"}], ",", 
      RowBox[{"Ls", "\[Rule]", "0.06"}], ",", 
      RowBox[{"Lv", "\[Rule]", "0.03"}]}], "}"}]}], "*)"}]}]], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"par", "[", 
    RowBox[{"a_", ",", "b_"}], "]"}], ":=", 
   SuperscriptBox[
    RowBox[{"(", 
     FractionBox[
      RowBox[{"a", "+", "b"}], 
      RowBox[{"a", "*", "b"}]], ")"}], 
    RowBox[{"-", "1"}]]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ser", "[", 
    RowBox[{"a_", ",", "b_"}], "]"}], ":=", 
   RowBox[{"a", "+", "b"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"zb", "=", 
   RowBox[{"par", "[", 
    RowBox[{"rb2", ",", 
     RowBox[{"ser", "[", 
      RowBox[{
       FractionBox["1", 
        RowBox[{"I", "*", "2", "*", "Pi", "*", "f", "*", "Cb"}]], ",", 
       "rb1"}], "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"zv", "=", 
   RowBox[{"par", "[", 
    RowBox[{
     RowBox[{"ser", "[", 
      RowBox[{"rv1", ",", 
       RowBox[{"I", "*", "2", "*", "Pi", "*", "f", "*", "Lv"}]}], "]"}], ",", 
     "rv2"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ClearAll", "[", "prenos", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"prenos", "[", "f_", "]"}], "=", 
   RowBox[{"Evaluate", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Abs", "[", 
        FractionBox["zb", 
         RowBox[{"zv", "+", "zb"}]], "]"}], ",", 
       RowBox[{"Abs", "[", 
        FractionBox["zv", 
         RowBox[{"zv", "+", "zb"}]], "]"}], ",", "1"}], "}"}], "/.", "dos"}], 
    "]"}]}], ";"}]}], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"z", "=", "1.12"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"a0", "=", "5"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"n", "=", "200"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pow", "=", "1.75"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fbb", "=", "1800"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fvv", "=", "2800"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fmax", "=", "20000"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"resk", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"Solve", "[", 
      RowBox[{
       RowBox[{"a0", "*", 
        SuperscriptBox["z", 
         RowBox[{"n", "*", "k"}]]}], "\[Equal]", "fmax"}], "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}], "//", "N"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"vyr", "[", "i_", "]"}], "=", 
   RowBox[{
    RowBox[{"a0", "*", 
     SuperscriptBox["z", 
      RowBox[{"i", "*", "k"}]]}], "/.", "resk"}]}], ";"}]}], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"fb", "[", "f_", "]"}], "=", 
   RowBox[{"UnitStep", "[", 
    RowBox[{"fbb", "-", "f"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"fv", "[", "f_", "]"}], "=", 
   RowBox[{"UnitStep", "[", 
    RowBox[{"f", "-", "fvv"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"fb", "[", "f", "]"}], ",", 
      RowBox[{"fv", "[", "f", "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"f", ",", "0", ",", "fmax"}], "}"}], ",", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"RGBColor", "[", 
        RowBox[{"1", ",", "0", ",", "0"}], "]"}], ",", 
       RowBox[{"RGBColor", "[", 
        RowBox[{"0", ",", "1", ",", "0"}], "]"}]}], "}"}]}]}], "]"}], 
  ";"}]}], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"fitbod", "[", "f_", "]"}], "=", 
   RowBox[{
    SuperscriptBox[
     RowBox[{"Abs", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"prenos", "[", "f", "]"}], "[", 
        RowBox[{"[", "1", "]"}], "]"}], "-", 
       RowBox[{"fb", "[", "f", "]"}]}], "]"}], "pow"], "+", 
    SuperscriptBox[
     RowBox[{"Abs", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"prenos", "[", "f", "]"}], "[", 
        RowBox[{"[", "2", "]"}], "]"}], "-", 
       RowBox[{"fv", "[", "f", "]"}]}], "]"}], "pow"]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fitnes", "=", 
   RowBox[{"Sum", "[", 
    RowBox[{
     RowBox[{"fitbod", "[", 
      RowBox[{"vyr", "[", "i", "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", "n"}], "}"}]}], "]"}]}], ";"}]}], "Input"],

Cell[BoxData[
 RowBox[{"optimal", "=", 
  RowBox[{
   RowBox[{"FindMinimum", "[", 
    RowBox[{"fitnes", ",", 
     RowBox[{"{", 
      RowBox[{"rb1", ",", "200", ",", "800"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"rv1", ",", "500", ",", "1500"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"Cb", ",", 
       RowBox[{"100", "nF"}], ",", 
       RowBox[{"400", "nF"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"rv2", ",", "1500", ",", "30000"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"rb2", ",", "1500", ",", "30000"}], "}"}], ",", 
     RowBox[{"MaxIterations", "\[Rule]", 
      SuperscriptBox["10", "4"]}]}], "]"}], "[", 
   RowBox[{"[", "2", "]"}], "]"}]}]], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ClearAll", "[", "dosopt", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"dosopt", "=", 
  RowBox[{"Union", "[", 
   RowBox[{"dos", ",", "optimal"}], "]"}]}]}], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"plotstyle", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"RGBColor", "[", 
      RowBox[{"1", ",", "0", ",", "0"}], "]"}], ",", 
     RowBox[{"RGBColor", "[", 
      RowBox[{"0", ",", "1", ",", "0"}], "]"}], ",", 
     RowBox[{"GrayLevel", "[", "0", "]"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"LogLogPlot", "[", 
  RowBox[{
   RowBox[{"Evaluate", "[", 
    RowBox[{
     RowBox[{"prenos", "[", "f", "]"}], "/.", "dosopt"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"f", ",", "20", ",", "20000"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", "plotstyle"}], ",", 
   RowBox[{"PlotPoints", "\[Rule]", "300"}]}], 
  "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.5297465339375*^9, 3.52974654084375*^9}}]
},
WindowSize->{1015, 633},
WindowMargins->{{-2, Automatic}, {Automatic, 11}},
Magnification->1.25,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 312, 11, 81, "Input"],
Cell[860, 33, 534, 13, 58, "Input"],
Cell[1397, 48, 1476, 48, 200, "Input"],
Cell[2876, 98, 1029, 32, 215, "Input"],
Cell[3908, 132, 869, 27, 80, "Input"],
Cell[4780, 161, 839, 27, 58, "Input"],
Cell[5622, 190, 698, 19, 63, "Input"],
Cell[6323, 211, 205, 5, 58, "Input"],
Cell[6531, 218, 828, 22, 102, "Input"]
}
]
*)

(* End of internal cache information *)

